POST
/api/v2/cards/auto-topup/failed-txEnable, update or disable failed-transaction auto top-up.
Enabling this mode disables low-balance and deposit auto top-up on the same card.
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| userId (query) | unknown | Yes |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| CardId | unknown | No | |
| Enabled | boolean | No | |
| MaxAmount | unknown | No | |
| MonthlyLimit | unknown | No | |
| DisclaimerAccepted | boolean | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Success | boolean | No | |
| Message | string | No | |
| CardId | unknown | No | |
| LowBalanceEnabled | boolean | No | |
| Watermark | unknown | No | |
| TargetBalance | unknown | No | |
| LowBalanceMonthlyLimit | unknown | No | |
| LowBalanceDisclaimerAccepted | boolean | No | |
| LowBalanceDisclaimerAcceptedAt | string (date-time) | No | |
| FailedTxEnabled | boolean | No | |
| FailedTxMaxAmount | unknown | No | |
| FailedTxMonthlyLimit | unknown | No | |
| FailedTxDisclaimerAccepted | boolean | No | |
| FailedTxDisclaimerAcceptedAt | string (date-time) | No | |
| DepositEnabled | boolean | No | |
| DepositSettings | array of PublicDepositAutoTopUpSettingResponse | No | |
| AssignedDepositCurrencies | array of PublicDepositCurrencyAssignment | No | |
| LowBalanceUsedThisMonth | unknown | No | |
| FailedTxUsedThisMonth | unknown | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
403 — Forbidden
| Field | Type | Required | Description |
|---|---|---|---|
| type | string | No | |
| title | string | No | |
| status | unknown | No | |
| detail | string | No | |
| instance | string | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X POST "https://{base_url}/api/v2/cards/auto-topup/failed-tx" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'This page is generated from the live OpenAPI specification and always matches the current API.